Bug 999668 - EAP62_2010 - [RFE] Logging Unification (JBoss Modules)
EAP62_2010 - [RFE] Logging Unification (JBoss Modules)
Status: ASSIGNED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Class Loading (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David M. Lloyd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 15:57 EDT by Brian Stansberry
Modified: 2015-04-23 06:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Stansberry 2013-08-21 15:57:27 EDT
Tracker issue for JBoss Modules portion of EAP62_2010 Logging Unification.

ANDIAMO-7 compliance.
Comment 1 David M. Lloyd 2013-09-10 09:43:08 EDT
Still working on a viable solution.
Comment 2 David M. Lloyd 2013-09-17 17:46:29 EDT
Cannot be fixed for 6.2.
Comment 3 Dimitris Andreadis 2013-09-25 11:53:30 EDT
Hey David, can you provide some justification on why this will be deferred, (or will not be done at all?). Thanks.
Comment 4 David M. Lloyd 2013-09-25 12:11:03 EDT
It's a technical problem.  Our i18n logging solution requires jboss-logging; jboss-logging is not available to jboss-modules because it is loaded *as* a module, so jboss-modules cannot link directly against it.  JBoss Modules also has an internal logging API which is designed to accommodate the logging system initializing after the module system bootstraps; this API also constrains how the logging implementation can be implemented, so to change that somehow would break compatibility, which is a consideration for any proposed solution.

So far I do not have a workable solution to this problem, so it cannot be fixed until a solution presents itself.
Comment 5 Dimitris Andreadis 2013-09-25 12:27:36 EDT
So, it's a chicken-egg problem, thanks.
Comment 6 David M. Lloyd 2013-09-25 12:29:59 EDT
Exactly.  I have a couple ideas but I don't know if they're really workable, but I do know it can't be done by 6.2 in any case.

Note You need to log in before you can comment on or make changes to this bug.